Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleResponseMessage

    java.lang.Object
      org.mule.module.ibeans.spi.MuleResponseMessage

All Implemented Interfaces:
  org.ibeans.api.Response

    public class MuleResponseMessage

extends Object
implements org.ibeans.api.Response

An implementation of an IBeans `Response` that adapts to a `MuleMessage`

Constructor Summary
`MuleResponseMessage(MuleMessage message)`

Method Summary
`DataHandler` | `getAttachment(String name)`
`Set<String>` | `getAttachmentNames()`
`org.ibeans.api.DataType` | `getDataType()`
`Throwable` | `getException()`
`Object` | `getHeader(String name)`
`Set<String>` | `getHeaderNames()`
`MuleMessage` | `getMessage()`
`String` | `getMimeType()`
`Object` | `getPayload()`
`InputStream` | `getPayloadAsStream()`
`String` | `getStatusCode()`
`void` | `setStatusCode(String code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleResponseMessage

    public MuleResponseMessage(MuleMessage message)
                        throws MimeTypeParseException

Throws:
  `MimeTypeParseException`

Method Detail

### getStatusCode

    public String getStatusCode()

  Specified by:
    `getStatusCode` in interface `org.ibeans.api.Response`

### setStatusCode

    public void setStatusCode(String code)

  Specified by:
    `setStatusCode` in interface `org.ibeans.api.Response`

### getMimeType

    public String getMimeType()

  Specified by:
    `getMimeType` in interface `org.ibeans.api.Response`

### getDataType

    public org.ibeans.api.DataType getDataType()

  Specified by:
    `getDataType` in interface `org.ibeans.api.Response`

### getPayloadAsStream

    public InputStream getPayloadAsStream()

  Specified by:
    `getPayloadAsStream` in interface `org.ibeans.api.Response`

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `org.ibeans.api.Response`

### getHeader

    public Object getHeader(String name)

  Specified by:
    `getHeader` in interface `org.ibeans.api.Response`

### getHeaderNames

    public Set<String> getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `org.ibeans.api.Response`

### getAttachment

    public DataHandler getAttachment(String name)

  Specified by:
    `getAttachment` in interface `org.ibeans.api.Response`

### getAttachmentNames

    public Set<String> getAttachmentNames()

  Specified by:
    `getAttachmentNames` in interface `org.ibeans.api.Response`

### getMessage

    public MuleMessage getMessage()

### getException

    public Throwable getException()

  Specified by:
    `getException` in interface `org.ibeans.api.Response`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.